Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Class MarshalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.bind.JAXBException
                        |
                        +--javax.xml.bind.MarshalException

All Implemented Interfaces:
  java.io.Serializable

public class MarshalException
extends JAXBException

This exception indicates that an error has occured while performing a marshal operation that the provider is unable to recover from.

The `ValidationEventHandler` can cause this exception to be thrown during the marshal operations. See `ValidationEventHandler.handleEvent(ValidationEvent)`.

Since:
  JAXB1.0
Version:
  $Revision: 1.1 $
Author:
  - Ryan Shoemaker, Sun Microsystems, Inc.
See Also:
  `JAXBException`, `Marshaller`, Serialized Form

Constructor Summary
`MarshalException(java.lang.String message)` Construct a MarshalException with the specified detail message.
`MarshalException(java.lang.String message, java.lang.String errorCode)` Construct a MarshalException with the specified detail message and vendor specific errorCode.
`MarshalException(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Construct a MarshalException with the specified detail message, vendor specific errorCode, and linkedException.
`MarshalException(java.lang.String message, java.lang.Throwable exception)` Construct a MarshalException with the specified detail message and linkedException.
`MarshalException(java.lang.Throwable exception)` Construct a MarshalException with a linkedException.

Methods inherited from class javax.xml.bind.JAXBException
`getErrorCode, getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarshalException

    public MarshalException(java.lang.String message)

  Construct a MarshalException with the specified detail message. The errorCode and linkedException will default to null.

Parameters:
  `message` - a description of the exception

### MarshalException

    public MarshalException(java.lang.String message,
                            java.lang.String errorCode)

  Construct a MarshalException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code

### MarshalException

    public MarshalException(java.lang.Throwable exception)

  Construct a MarshalException with a linkedException. The detail message and vendor specific errorCode will default to null.

Parameters:
  `exception` - the linked exception

### MarshalException

    public MarshalException(java.lang.String message,
                            java.lang.Throwable exception)

  Construct a MarshalException with the specified detail message and linkedException. The errorCode will default to null.

Parameters:
  `message` - a description of the exception
  `exception` - the linked exception

### MarshalException

    public MarshalException(java.lang.String message,
                            java.lang.String errorCode,
                            java.lang.Throwable exception)

  Construct a MarshalException with the specified detail message, vendor specific errorCode, and linkedException.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code
  `exception` - the linked exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.